;;; -*- Syntax: Ansi-Common-Lisp; Base: 10; Mode: lisp; Package: imho -*-
;;; $Id: makefile.lisp,v 1.10 2003/03/26 19:52:16 adam Exp $
;;;
;;; Copyright (c) 1999 - 2003 onShore Development, Inc.
;;;
;;; See the file 'COPYING' in this directory for terms.

(setf *compile-print* nil)
(setf *compile-verbose* nil)

;; defsystem behaves like make now, and quieter even
(setf make::*compile-during-load* t)
(setf make::*oos-verbose* nil)

;; inhibit all notes and most non-serious warnings
#+cmu
(declaim (optimize (inhibit-warnings 2)))

(handler-case 
    (progn
      (with-compilation-unit ()
        (mk:oos :imho :compile :verbose nil)
        (compile-file (mk:files-in-system :imho)
                      :output-file "imho.fasl"
                      :error-file "imho.err"))
      
      (quit))
  (error (e)
    (progn
      (format t "Error: ~A" e)
      (unix:unix-exit 1))))

